Bug 220947 - sys/cam/cam_iosched.c: Fix a couple of typos in comments
Summary: sys/cam/cam_iosched.c: Fix a couple of typos in comments
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Ed Maste
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-23 15:57 UTC by Fabian Keil
Modified: 2018-07-20 11:29 UTC (History)
4 users (show)

See Also:


Attachments
sys/cam/cam_iosched.c: Fix a couple of typos in comments (5.66 KB, patch)
2017-07-23 15:57 UTC, Fabian Keil
no flags Details | Diff
sys/cam/cam_iosched.c: Fix a couple of typos in comments (4.60 KB, patch)
2017-08-15 11:01 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2017-07-23 15:57:43 UTC
Created attachment 184637 [details]
sys/cam/cam_iosched.c: Fix a couple of typos in comments

The attached patch fixes a couple of comment typos in sys/cam/cam_iosched.c.

The following unclear sentence from cam_iosched_get_write()
should probably be fixed as well but the intended meaning
wasn't obvious to me:
|              Limiting the queue depth like this will also limit
| the write throughput and give and reads that want to compete to
| compete unfairly."

In cam_iosched_next_bio() a comment still refers to
"the netflix scheduler" while it probably should refer
to "the dynamic I/O scheduler" to match the name change
done in r302163 and r302396.

Obtained from: ElectroBSD
Comment 1 Fabian Keil 2017-08-15 11:01:18 UTC
Created attachment 185435 [details]
sys/cam/cam_iosched.c: Fix a couple of typos in comments

Patch rebased against HEAD.

The "netflix scheduler" reference is gone already.
Comment 2 commit-hook freebsd_committer 2017-08-18 16:39:34 UTC
A commit references this bug:

Author: emaste
Date: Fri Aug 18 16:38:34 UTC 2017
New revision: 322664
URL: https://svnweb.freebsd.org/changeset/base/322664

Log:
  cam iosched: fix typos in comments

  PR:		220947
  Submitted by:	Fabian Keil
  Obtained from:	ElectroBSD

Changes:
  head/sys/cam/cam_iosched.c
Comment 3 vali gholami 2017-11-26 20:44:45 UTC
MARKED AS SPAM
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-05-15 04:59:53 UTC
Assign to committer that resolved
Comment 5 Thanos 2018-07-20 11:29:39 UTC
MARKED AS SPAM